Results 1 to 3 of 3

Thread: Issue with Sencha Architect 4 when create application using extjs 6.2.x

  1. #1
    Sencha User
    Join Date
    Nov 2017
    Posts
    2
    Vote Rating
    0
      0  

    Default Issue with Sencha Architect 4 when create application using extjs 6.2.x

    I have recently installed Sencha Architect 4. When i create a sample application with extjs 6.2.x i am getting the below error when i save the application. Please help me.

    Exception in thread "Thread-38" java.lang.NullPointerException
    at com.sencha.util.Version.(Version.java:46)
    at com.sencha.tools.pkg.Model$Package.(Model.java:877)

    at com.sencha.tools.pkg.Model$Package.load(Model.java:863)
    at com.sencha.tools.pkg.Model$Package.load(Model.java:856)
    at com.sencha.command.environment.PackageEnvironment.loadModel(PackageEnvironment.java:280)
    at com.sencha.command.environment.PackageEnvironment.getPackageModel(PackageEnvironment.java:272)
    at com.sencha.command.environment.PackageEnvironment.getModel(PackageEnvironment.java:307)
    at com.sencha.command.environment.PackageEnvironment.(PackageEnvironment.java:40)
    at com.sencha.command.environment.BuildEnvironment.load(BuildEnvironment.java:110)
    at com.sencha.command.environment.BuildEnvironment.load(BuildEnvironment.java:130)
    at com.sencha.command.environment.BuildEnvironment.load(BuildEnvironment.java:76)
    at com.sencha.command.Sencha.loadBuildEnvironment(Sencha.java:478)
    at com.sencha.tools.server.service.tasks.DispatchTask.execute(DispatchTask.java:49)
    at com.sencha.tools.server.service.tasks.BaseServiceTask$1.run(BaseServiceTask.java:42)
    at com.sencha.util.ThreadUtil$1.run(ThreadUtil.java:65)
    at com.sencha.util.ThreadUtil$2.run(ThreadUtil.java:162)
    at java.lang.Thread.run(Unknown Source)

    But i am able to create new application with extjs 6.0.x in SA 4 successfully. I assume 6.2.x extjs is not installed properly. how to reinstall the extjs 6.2.x with SA 4?



  2. #2
    Sencha - Support Team bjdurham85's Avatar
    Join Date
    Mar 2014
    Posts
    959
    Answers
    55
    Vote Rating
    20
      0  

    Default

    Hi--,

    Thanks for the info so far. Can you give me your exact version Sencha Architect? *I just tried using SA 4.2.2 and it created just fine.

    Bryan

  3. #3
    Sencha User
    Join Date
    Nov 2017
    Posts
    2
    Vote Rating
    0
      0  

    Default

    Thanks for looking into this @bjdurham.i have fixed this issue by reinstalling the 6.2.x package alone and it started working.

Similar Threads

  1. No possibility to create universal application using Sencha Architect
    By ddushb in forum Sencha Architect 4.x: Q&A
    Replies: 3
    Last Post: 28 Mar 2017, 9:19 AM
  2. Can I create ExtJS 6 universal app in Sencha Architect 4?
    By lorezyra in forum Sencha Architect 3.x: Q&A
    Replies: 1
    Last Post: 9 Aug 2016, 1:42 PM
  3. Replies: 4
    Last Post: 26 May 2016, 1:26 AM
  4. Can I create ExtJS 6 universal app in Sencha Architect?
    By bryan@erry.com in forum Sencha Architect 3.x: Q&A
    Replies: 3
    Last Post: 29 Apr 2016, 9:51 AM
  5. Create Web Desktop with Sencha architect using Extjs 6.0
    By apache1995 in forum Sencha Architect 3.x: Q&A
    Replies: 1
    Last Post: 28 Mar 2016, 6:36 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •